<?php

namespace Litecms\Faucet;

use User;

class Faucet
{
    /**
     * $faucet object.
     */
    protected $faucet;

    /**
     * Constructor.
     */
    public function __construct(\Litecms\Faucet\Interfaces\FaucetRepositoryInterface $faucet)
    {
        $this->faucet = $faucet;
    }

    /**
     * Returns count of faucet.
     *
     * @param array $filter
     *
     * @return int
     */
    public function count()
    {
        return  0;
    }

    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.faucet.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->faucet->pushCriteria(new \Litepie\Litecms\Repositories\Criteria\FaucetUserCriteria());
        }

        $faucet = $this->faucet->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('faucet::' . $view, compact('faucet'))->render();
    }
}
