<?php

namespace Litecms\Faucet\Http\Controllers;

use App\Http\Controllers\PublicController as BaseController;
use Litecms\Faucet\Interfaces\FaucetRepositoryInterface;

class FaucetPublicController extends BaseController
{
    // use FaucetWorkflow;

    /**
     * Constructor.
     *
     * @param type \Litecms\Faucet\Interfaces\FaucetRepositoryInterface $faucet
     *
     * @return type
     */
    public function __construct(FaucetRepositoryInterface $faucet)
    {
        $this->repository = $faucet;
        parent::__construct();
    }

    /**
     * Show faucet's list.
     *
     * @param string $slug
     *
     * @return response
     */
    protected function index()
    {
        $faucets = $this->repository
        ->pushCriteria(app('Litepie\Repository\Criteria\RequestCriteria'))
        ->scopeQuery(function($query){
            return $query->orderBy('id','DESC');
        })->paginate();

        return $this->theme->of('faucet::public.faucet.index', compact('faucets'))->render();
    }

    /**
     * Show faucet.
     *
     * @param string $slug
     *
     * @return response
     */
    protected function show($slug)
    {
        $faucet = $this->repository->scopeQuery(function($query) use ($slug) {
            return $query->orderBy('id','DESC')
                         ->where('slug', $slug);
        })->first(['*']);

        return $this->theme->of('faucet::public.faucet.show', compact('faucet'))->render();
    }

}
