<?php

namespace Litecms\Faucet\Workflow;

use Litecms\Faucet\Models\Faucet;
use Litecms\Faucet\Notifications\FaucetWorkflow as FaucetNotifyer;
use Notification;

class FaucetNotification
{

    /**
     * Send the notification to the users after complete.
     *
     * @param Faucet $faucet
     *
     * @return void
     */
    public function complete(Faucet $faucet)
    {
        return Notification::send($faucet->user, new FaucetNotifyer($faucet, 'complete'));;
    }

    /**
     * Send the notification to the users after verify.
     *
     * @param Faucet $faucet
     *
     * @return void
     */
    public function verify(Faucet $faucet)
    {
        return Notification::send($faucet->user, new FaucetNotifyer($faucet, 'verify'));;
    }

    /**
     * Send the notification to the users after approve.
     *
     * @param Faucet $faucet
     *
     * @return void
     */
    public function approve(Faucet $faucet)
    {
        return Notification::send($faucet->user, new FaucetNotifyer($faucet, 'approve'));;

    }

    /**
     * Send the notification to the users after publish.
     *
     * @param Faucet $faucet
     *
     * @return void
     */
    public function publish(Faucet $faucet)
    {
        return Notification::send($faucet->user, new FaucetNotifyer($faucet, 'publish'));;
    }

    /**
     * Send the notification to the users after archive.
     *
     * @param Faucet $faucet
     *
     * @return void
     */
    public function archive(Faucet $faucet)
    {
        return Notification::send($faucet->user, new FaucetNotifyer($faucet, 'archive'));;

    }

    /**
     * Send the notification to the users after unpublish.
     *
     * @param Faucet $faucet
     *
     * @return void
     */
    public function unpublish(Faucet $faucet)
    {
        return Notification::send($faucet->user, new FaucetNotifyer($faucet, 'unpublish'));;

    }
}
